Subject: RE: [Sipping] RFC 3351 and Generic Transcoding

From: "Eric Burger" <[email-masked]>
Date: Thu, 30 Jan 2003 10:44:41 -0500

I would offer that the burden of transcoding is "whomever wishes to pay."

If you notice you cannot match any of the offered SDP, you can request a transcoding service.  In the worst case, both parties invoke transcoding services.  Is that really likely to happen often?  If not, I wouldn't worry about it.

> -----Original Message-----
> From: A vWijk [mailto:[email-masked]]
> Sent: Friday, December 06, 2002 7:49 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]; Eric Burger
> Subject: RE: [Sipping] RFC 3351 and Generic Transcoding
> 
> 
> Hello everybody,
> 
> The negotiation of who will/can insert the transcoding 
> service is something that is required, but we have to look at 
> it on HOW to do so.
> It would be useless if both users start the same transcoding service.
> 
> I am thinking perhaps that any user can invoke the 
> transcoding service by default, but that the other party has 
> to be notified that such a tanscoding service is inserted.
> The RNID and ViaTaal plan to describe usecases and scenarios 
> on when a transcoding service will be invoked/inserted (among others).
> Ofcourse, our angle will be the hearing impaired. But the 
> solution will be just as useful for interworking between 3GPP 
> and 3GPP2 systems etc.
> 
> Basically it boils down that A and B have to decide which of 
> them invokes the transcoding service.
> Perhaps a SIP NOTIFY message? We should indeed look deeper at this.
> Perhaps combined with a master/slave setting in the caller 
> preferences (let's make Jonathan crazy :-)? Meaning that the 
> Master will send a message to the slave UA that the 
> transcoding service is to be inserted? And that the slave UA 
> will by default wait for such a message unless timed out on 
> which it will then invoke the transcoding service itself.
> 
> This is just from the top of my mind. I haven't had time to 
> play with those scenarios yet.
> 
> greetz
> 
> Arnoud van Wijk
> 
> 
> ****************************************
> 
> Gonzalo,
> 
> I imagine the requirement from 3GPP will be something like:
> 1) Insertion of a transcoding device between two UAs which do 
> not support a
> common codec.
> 2) Achieve (1) when only 1 of the end devices (UAC or UAS) 
> supports the
> procedures for inviting/inserting/invoking the transcoding service
> 3) Achieve (1) when neither of the devices (UAC and UAS) support the
> procedures for inviting/inserting/invoking the transcoding service
> 
> I guess the requirements in RFC3351 probably cover (1) and 
> perhaps (2),
> although I do not remember much about negotiation of who 
> will/can insert the
> transcoding service. I'm not sure (3) has been addressed anywhere.
> 
> I think (3) is required for interworking between 3GPP and 
> 3GPP2 systems
> (where the terminals may not support a common codec). I am 
> assuming that the
> first release of the 3GPP2 SIP system will not include 
> mandatory support at
> the UA for the procedures for inviting/inserting/invoking the 
> transcoding
> service. Happy to be proved wrong on this!
> 
> As Keith says, some review is required in 3GPP & when this is 
> done I hope
> 3GPP will be able to provide a concrete statement of transcoding
> requirements.
> 
> Regards,
> 
> Mark
> 
> 
> > -----Original Message-----
> > From: Gonzalo Camarillo [mailto:[email-masked]] 
> > Sent: 26 November 2002 06:42
> > To: Drage, Keith (Keith)
> > Cc: Guido Gybels; [email-masked]; Eric Burger
> > Subject: Re: [Sipping] RFC 3351 and Generic Transcoding
> > 
> > 
> > Keith,
> > 
> > we have heard several times from several folks that we might 
> > be missing
> > requirements. What we would like to have is *examples* of such
> > requirements. This way we can decide whether we have to 
> come up with a
> > more formal document on requirements or, on the other hand, we are
> > already taking them into account.
> > 
> > I am not assuming that new requirements will be related to SDP. I am
> > only guessing, since I have not seen any new requirement so far.
> > 
> > Thanks,
> > 
> > Gonzalo
> > 
> > 
> > "Drage, Keith (Keith)" wrote:
> > > 
> > > If you are referring to what I said in plenary, then it was 
> > not this.
> > > 
> > > To further clarify what I said in plenary:
> > > 
> > > RFC3351 was developed as a set of requirements for the hard 
> > of hearing, not as a general set of transcoding requirements. 
> > Presumably, as it had that limited scope, that was what it 
> > was reviewed for.
> > > 
> > > Now that the design team has decided to design a solution 
> > for general transcoding, the SIPPING group should do a quick 
> > pass through RFC 3351 to see if any requirements are missed.
> > > 
> > > At the moment I do not have any requirements in mind, 
> > related to SIP, SDP or otherwise, but please do not assume 
> > that they can only be SDP issues.
> > > 
> > > As I said in an earlier mail, it will take some time to get 
> > a review by some interested 3GPP people, but I am sure that 
> > it would be appropriate to try and take into account 3GPP 
> > Release 6 requirements now rather than when the design 
> > process has solidified.
> > > 
> > > Keith
> > > 
> > > Keith Drage
> > > Lucent Technologies
> > > Tel: +44 1793 776249
> > > Email: [email-masked] 
> > > 
> > > > -----Original Message-----
> > > > From: Gonzalo Camarillo 
> [mailto:[email-masked]] 
> > > > Sent: 25 November 2002 12:14
> > > > To: Guido Gybels
> > > > Cc: [email-masked]; Eric Burger
> > > > Subject: Re: [Sipping] RFC 3351 and Generic Transcoding
> > > >
> > > >
> > > > Folks,
> > > >
> > > > as Eric pointed out, some folks said that there are SIP 
> > requirements
> > > > beyong RFC 3351 that we have to take into consideration.
> > > >
> > > > It seems to me that what people have in mind will be 
> > requirements that
> > > > are more related to SDP than to SIP (i.e., they would affect the
> > > > plumbing draft rather than the framework that describes SIP
> > > > procedures),
> > > > but in any event we would like to hear them all.
> > > >
> > > > We will be working on SDP issues (i.e., media policies) 
> > together with
> > > > the conferencing team.
> > > >
> > > > Thanks,
> > > >
> > > > Gonzalo
> > > > _______________________________________________
> > > > Sipping mailing list  
> > https://www1.ietf.org/mailman/listinfo/sipping 
> > > > This list is for NEW development of the application of SIP
> > > > Use [email-masked] for questions on 
> current sip
> > > > Use [email-masked] for new developments of core SIP
> > > >
> > > _______________________________________________
> > > Sipping mailing list  
> https://www1.ietf.org/mailman/listinfo/sipping 
> > > This list is for NEW development of the application of SIP
> > > Use [email-masked] for questions on current sip
> > > Use [email-masked] for new developments of core SIP
> > 
> > -- 
> > Gonzalo Camarillo         Phone :  +358  9 299 33 71
> > Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
> > Telecom R&D               Fax   :  +358  9 299 30 52
> > FIN-02420 Jorvas          Email :  [email-masked] 
> > Finland                   http://www.hut.fi/~gonzalo 
> > _______________________________________________
> > Sipping mailing list  
> https://www1.ietf.org/mailman/listinfo/sipping 
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> > 
> 
> ------_=_NextPart_001_01C29D13.1BC2EB76
> Content-Type: text/html;
> 	charset="iso-8859-1"
> Content-Transfer-Encoding: quoted-printable
> 
> <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
> <HTML>
> <HEAD>
> <META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
> charset=3Diso-8859-1">
> <META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
> 5.5.2655.35">
> <TITLE>RE: [Sipping] RFC 3351 and Generic Transcoding</TITLE>
> </HEAD>
> <BODY>
> 
> <P><FONT SIZE=3D2>Gonzalo,</FONT>
> </P>
> 
> <P><FONT SIZE=3D2>I imagine the requirement from 3GPP will be 
> something =
> like:</FONT>
> <BR><FONT SIZE=3D2>1) Insertion of a transcoding device 
> between two UAs =
> which do not support a common codec.</FONT>
> <BR><FONT SIZE=3D2>2) Achieve (1) when only 1 of the end 
> devices (UAC =
> or UAS) supports the procedures for inviting/inserting/invoking the =
> transcoding service</FONT></P>
> 
> <P><FONT SIZE=3D2>3) Achieve (1) when neither of the devices 
> (UAC and =
> UAS) support the procedures for inviting/inserting/invoking the =
> transcoding service</FONT></P>
> 
> <P><FONT SIZE=3D2>I guess the requirements in RFC3351 probably cover =
> (1) and perhaps (2), although I do not remember much about 
> negotiation =
> of who will/can insert the transcoding service. I'm not sure (3) has =
> been addressed anywhere.</FONT></P>
> 
> <P><FONT SIZE=3D2>I think (3) is required for interworking 
> between 3GPP =
> and 3GPP2 systems (where the terminals may not support a 
> common codec). =
> I am assuming that the first release of the 3GPP2 SIP system 
> will not =
> include mandatory support at the UA for the procedures for =
> inviting/inserting/invoking the transcoding service. Happy to 
> be proved =
> wrong on this!</FONT></P>
> 
> <P><FONT SIZE=3D2>As Keith says, some review is required in 
> 3GPP &amp; =
> when this is done I hope 3GPP will be able to provide a concrete =
> statement of transcoding requirements.</FONT></P>
> 
> <P><FONT SIZE=3D2>Regards,</FONT>
> </P>
> 
> <P><FONT SIZE=3D2>Mark</FONT>
> </P>
> <BR>
> 
> <P><FONT SIZE=3D2>&gt; -----Original Message-----</FONT>
> <BR><FONT SIZE=3D2>&gt; From: Gonzalo Camarillo [<A =
> HREF=3D"mailto:[email-masked]">mailto:Gonza
> lo.Camaril=
> [email-masked]</A>]</FONT>
> <BR><FONT SIZE=3D2>&gt; Sent: 26 November 2002 06:42</FONT>
> <BR><FONT SIZE=3D2>&gt; To: Drage, Keith (Keith)</FONT>
> <BR><FONT SIZE=3D2>&gt; Cc: Guido Gybels; [email-masked]; Eric =
> Burger</FONT>
> <BR><FONT SIZE=3D2>&gt; Subject: Re: [Sipping] RFC 3351 and Generic =
> Transcoding</FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; Keith,</FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; we have heard several times from 
> several folks =
> that we might </FONT>
> <BR><FONT SIZE=3D2>&gt; be missing</FONT>
> <BR><FONT SIZE=3D2>&gt; requirements. What we would like to have is =
> *examples* of such</FONT>
> <BR><FONT SIZE=3D2>&gt; requirements. This way we can decide 
> whether we =
> have to come up with a</FONT>
> <BR><FONT SIZE=3D2>&gt; more formal document on requirements 
> or, on the =
> other hand, we are</FONT>
> <BR><FONT SIZE=3D2>&gt; already taking them into account.</FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; I am not assuming that new 
> requirements will be =
> related to SDP. I am</FONT>
> <BR><FONT SIZE=3D2>&gt; only guessing, since I have not seen any new =
> requirement so far.</FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; Thanks,</FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; Gonzalo</FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &quot;Drage, Keith (Keith)&quot; wrote:</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; If you are referring to what I said in =
> plenary, then it was </FONT>
> <BR><FONT SIZE=3D2>&gt; not this.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; To further clarify what I said in =
> plenary:</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; RFC3351 was developed as a set of =
> requirements for the hard </FONT>
> <BR><FONT SIZE=3D2>&gt; of hearing, not as a general set of 
> transcoding =
> requirements. </FONT>
> <BR><FONT SIZE=3D2>&gt; Presumably, as it had that limited 
> scope, that =
> was what it </FONT>
> <BR><FONT SIZE=3D2>&gt; was reviewed for.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; Now that the design team has decided to =
> design a solution </FONT>
> <BR><FONT SIZE=3D2>&gt; for general transcoding, the SIPPING group =
> should do a quick </FONT>
> <BR><FONT SIZE=3D2>&gt; pass through RFC 3351 to see if any =
> requirements are missed.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; At the moment I do not have any =
> requirements in mind, </FONT>
> <BR><FONT SIZE=3D2>&gt; related to SIP, SDP or otherwise, but 
> please do =
> not assume </FONT>
> <BR><FONT SIZE=3D2>&gt; that they can only be SDP issues.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; As I said in an earlier mail, it 
> will take =
> some time to get </FONT>
> <BR><FONT SIZE=3D2>&gt; a review by some interested 3GPP 
> people, but I =
> am sure that </FONT>
> <BR><FONT SIZE=3D2>&gt; it would be appropriate to try and take into =
> account 3GPP </FONT>
> <BR><FONT SIZE=3D2>&gt; Release 6 requirements now rather 
> than when the =
> design </FONT>
> <BR><FONT SIZE=3D2>&gt; process has solidified.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; Keith</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; Keith Drage</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; Lucent Technologies</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; Tel: +44 1793 776249</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; Email: [email-masked]</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; </FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; -----Original Message-----</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; From: Gonzalo Camarillo [<A =
> HREF=3D"mailto:[email-masked]">mailto:Gonza
> lo.Camaril=
> [email-masked]</A>]</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Sent: 25 November 2002 12:14</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; To: Guido Gybels</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Cc: [email-masked]; Eric =
> Burger</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Subject: Re: [Sipping] RFC 
> 3351 and =
> Generic Transcoding</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Folks,</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; as Eric pointed out, some 
> folks said =
> that there are SIP </FONT>
> <BR><FONT SIZE=3D2>&gt; requirements</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; beyong RFC 3351 that we 
> have to take =
> into consideration.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; It seems to me that what 
> people have =
> in mind will be </FONT>
> <BR><FONT SIZE=3D2>&gt; requirements that</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; are more related to SDP 
> than to SIP =
> (i.e., they would affect the</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; plumbing draft rather than the =
> framework that describes SIP</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; procedures),</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; but in any event we would like to =
> hear them all.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; We will be working on SDP issues =
> (i.e., media policies) </FONT>
> <BR><FONT SIZE=3D2>&gt; together with</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; the conferencing team.</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Thanks,</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Gonzalo</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; =
> _______________________________________________</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Sipping mailing list&nbsp; </FONT>
> <BR><FONT SIZE=3D2>&gt; <A =
> HREF=3D"https://www1.ietf.org/mailman/listinfo/sipping" =
> TARGET=3D"_blank">https://www1.ietf.org/mailman/listinfo/sippi
> ng</A></FO=
> NT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; This list is for NEW 
> development of =
> the application of SIP</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Use 
> [email-masked] =
> for questions on current sip</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt; Use [email-masked] for new 
> developments =
> of core SIP</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; &gt;</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; =
> _______________________________________________</FONT>
> <BR><FONT SIZE=3D2>&gt; &gt; Sippin
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP